pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/39107: [patch] parallel/mpi-ch breaks with native X11 due to missing dependency

"OBATA Akio" <> writes:

>  Does this PR mean just forgot dependency on x11?
>  or add x11 dependency to fix build with X11_TYPE=native? 

It seems so. I don't have resources to check it, what I can do
is only to reason:
1. Of three bulk build reports in my hands, one fails.
2. All three builds run on different combinations of architecture
and X11 type.
3. The failure is reported on NetBSD 4.0 x86_64 with X11_TYPE=native. 
4. I run NetBSD 4.99 i386 with X11_TYPE=modular, and I don't see it.
5. So do Joerg and Ulrich (4.99/x86_64 and 4.0/i386 resp.), when
building with modular

The only point of difference currently seen is X11.
(This was supported or even suggested by Tobias Nygren on IRC.)

Thus I've tried buildlinking (sequentially) libX11 and libXt to check,
if it brings files, reported by Krister Walfridson. It does, from what
I conclude, that I missed dependency, which may be critical for builds
with native X11.

>  If later, how about add "x11" option to swith --enable-graphics or 
>  --disable-graphics CONFIGURE_ARGS and disabled by default?

Yes, this is the plan for future development.

>  Though, I don't know graphics part of this package is important or not.

Currently I don't use it, but this may change in future.

I understand, that this request is done in some haste (I still don't
have any information about time frame), the whole point of it is
to fix build on systems with X11_TYPE=native.
If you find changing the package inappropriate in current conditions,
just put PR into feedback state and let me come with better solution
after the snapshot.

Home | Main Index | Thread Index | Old Index